summaryrefslogtreecommitdiff
path: root/fluxbox/debian/fluxbox.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'fluxbox/debian/fluxbox.postinst')
-rw-r--r--fluxbox/debian/fluxbox.postinst36
1 files changed, 36 insertions, 0 deletions
diff --git a/fluxbox/debian/fluxbox.postinst b/fluxbox/debian/fluxbox.postinst
new file mode 100644
index 0000000..263db6a
--- /dev/null
+++ b/fluxbox/debian/fluxbox.postinst
@@ -0,0 +1,36 @@
+#!/bin/sh
+#
+# fluxbox postinst
+#
+# Shamelessly ripped off of Marcelo Magallon's script
+# by Brent Fulgham <bfulgham@debian.org>
+#
+# Ripped off blackbox's postinst, by Matt Hope <dopey@debian.org>
+#
+set -e
+
+manager=/usr/bin/startfluxbox
+
+add_wm_entry ()
+{
+ update-alternatives --install /usr/bin/x-window-manager \
+ x-window-manager $manager 50 \
+ --slave /usr/share/man/man1/x-window-manager.1.gz \
+ x-window-manager.1.gz /usr/share/man/man1/fluxbox.1.gz
+}
+
+case "$1" in
+ configure)
+ add_wm_entry
+ ;;
+
+ abort-*)
+ # how did we get here? Force a non-zero exit code
+ exit 1
+ ;;
+
+ *)
+ ;;
+esac
+
+#DEBHELPER#
bgstack15